TIMPUL DE AȘTEPTARE (TIMEOUT)(1)

NUME
timeout - execută o comandă cu o limită de timp

SINOPSIS
timeout [OPȚIUNE] DURATA COMANDA [ARG]...
timeout [OPȚIUNE]

DESCRIERE

Pornește COMANDA și-o omoară dacă încă rulează după DURATA(s, m, h sau d).

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-f, --foreground

    atunci când nu se execută timeout direct de la un prompt shell, permite COMENZII să citească din TTY și să primească semnale de la TTY; în acest mod, procesele-copil ale COMENZII nu vor expira

-k, --kill-after=DURATA

    trimite, de asemenea, un semnal KILL în cazul în care COMANDA continuă să ruleze atât de mult timp după ce a fost trimis semnalul inițial

-p, --preserve-status

    iese cu aceeași stare ca a COMENZII, chiar și atunci când comanda depășește timpul de așteptare

-s, --signal=SEMNAL

    specifică semnalul care urmează să fie trimis la expirarea timpului; SEMNAL poate fi un nume precum „HUP” sau un număr; rulați «kill -l» pentru a obține o listă de semnale

-v, --verbose
    diagnostichează la ieșirea de eroare standard orice semnal trimis la expirarea timpului

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

DURATA este un număr în virgulă mobilă cu un sufix opțional: „s” pentru secunde (implicit), „m” pentru minute, „h” pentru ore sau „d” pentru zile. O valoare de 0 dezactivează durata de timp asociată.

După expirarea timpului, trimite semnalul TERM către COMANDĂ, dacă nu este specificat niciun alt SEMNAL. Semnalul TERM termină orice proces care nu blochează sau nu captează acel semnal. Poate fi necesar să folosiți semnalul KILL, deoarece acest semnal nu poate fi captat.

  Starea de ieșire:

124 dacă COMANDA depășește timpul de așteptare și nu este specificată opțiunea „--preserve-status”

125 dacă comanda «timeout» însăși eșuează

126 dacă COMANDA este găsită, dar nu poate fi invocată

127 dacă COMANDA nu poate fi găsită

137 dacă COMANDA (sau «timeout» însăși) primește semnalul KILL (9) (128+9)

-   starea de ieșire a COMENZII în caz contrar

ERORI
Unele platforme nu acceptă în prezent temporizări dincolo de anul 2038.

AUTOR
Scris de Padraig Brady.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2025 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
kill(1)

Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/timeout>
sau local rulând comanda: «info '(coreutils) timeout invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.